<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DataSet_pruebadataset" targetNamespace="http://tempuri.org/DataSet_pruebadataset.xsd" xmlns:mstns="http://tempuri.org/DataSet_pruebadataset.xsd" xmlns="http://tempuri.org/DataSet_pruebadataset.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Web.config" AppSettingsPropertyName="SHIOL_CONTA_BTHConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="SHIOL_CONTA_BTHConnectionString (Web.config)" ParameterPrefix="@" PropertyReference="AppConfig.System.Configuration.ConfigurationManager.0.ConnectionStrings.SHIOL_CONTA_BTHConnectionString.ConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="ab_pruebaTableAdapter" GeneratorDataComponentClassName="ab_pruebaTableAdapter" Name="ab_prueba" UserDataComponentName="ab_pruebaTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="SHIOL_CONTA_BTHConnectionString (Web.config)" DbObjectName="Shiol_Datos_MLP.dbo.ab_prueba" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="false" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.ab_prueba</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="varchar" DbType="AnsiString" Direction="Input" ParameterName="@Punto" Precision="0" ProviderType="VarChar" Scale="0" Size="2" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="productoid" DataSetColumn="productoid" />
              <Mapping SourceColumn="nombre" DataSetColumn="nombre" />
              <Mapping SourceColumn="precioventa" DataSetColumn="precioventa" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DataSet_pruebadataset" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_DataSetName="DataSet_pruebadataset" msprop:Generator_UserDSName="DataSet_pruebadataset">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="ab_prueba" msprop:Generator_TableClassName="ab_pruebaDataTable" msprop:Generator_TableVarName="tableab_prueba" msprop:Generator_TablePropName="ab_prueba" msprop:Generator_RowDeletingName="ab_pruebaRowDeleting" msprop:Generator_RowChangingName="ab_pruebaRowChanging" msprop:Generator_RowEvHandlerName="ab_pruebaRowChangeEventHandler" msprop:Generator_RowDeletedName="ab_pruebaRowDeleted" msprop:Generator_UserTableName="ab_prueba" msprop:Generator_RowChangedName="ab_pruebaRowChanged" msprop:Generator_RowEvArgName="ab_pruebaRowChangeEvent" msprop:Generator_RowClassName="ab_pruebaRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="productoid" msprop:Generator_ColumnVarNameInTable="columnproductoid" msprop:Generator_ColumnPropNameInRow="productoid" msprop:Generator_ColumnPropNameInTable="productoidColumn" msprop:Generator_UserColumnName="productoid" type="xs:int" />
              <xs:element name="nombre" msprop:Generator_ColumnVarNameInTable="columnnombre" msprop:Generator_ColumnPropNameInRow="nombre" msprop:Generator_ColumnPropNameInTable="nombreColumn" msprop:Generator_UserColumnName="nombre" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="precioventa" msprop:Generator_ColumnVarNameInTable="columnprecioventa" msprop:Generator_ColumnPropNameInRow="precioventa" msprop:Generator_ColumnPropNameInTable="precioventaColumn" msprop:Generator_UserColumnName="precioventa" type="xs:float" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:ab_prueba" />
      <xs:field xpath="mstns:productoid" />
    </xs:unique>
  </xs:element>
</xs:schema>